## idesk 0.5.6

=== Makefile ===

includes = `pkg-config gdk-2.0 gdk-pixbuf-xlib-2.0 librsvg-2.0 --cflags`

libs	 = `pkg-config imlib gdk-2.0 gdk-pixbuf-xlib-2.0 libart-2.0 libxml-2.0 pangoft2 librsvg-2.0 --libs` 

objs     = XDesktopContainer.o XIcon.o XIdeskImage.o XCaption.o Database.o \
		   DesktopConfig.o DesktopIconConfig.o Misc.o Main.o XShadowImage.o \
		   XIconWithShadow.o SimpleSvgImage.o XPngImage.o Action.o \
		   ActionConfig.o App.o

headers  = XDesktopContainer.h XIcon.h XIdeskImage.h XCaption.h Database.h \
		   DesktopConfig.h DesktopIconConfig.h Misc.h XShadowImage.h \
		   XIconWithShadow.h SimpleSvgImage.h XPngImage.h AbstractClasses.h \
		   Action.h ActionConfig.h App.h

all: idesk
	cp ./idesk ..

idesk: $(objs)
	$(cc) $(objs) -o $@ $(libs)

$(objs): %.o: %.cpp $(headers)
	$(cc) $(cflags) $(includes) -c $< -o $@

.PHONY : clean
clean:
	rm -f $(objs) idesk core

.PHONY : tidy
tidy: clean
	rm *.*~
	rm *~

## idesk 0.7.5

=== debian/changelog ===
idesk (0.7.5-5) unstable; urgency=low

  * QA upload.
    - Move to packaging format "3.0 (quilt)".
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * src/DesktopConfig.cpp
    - Restore original upstream/0.7.5 and move changes to patch 20.
      See 0.7.5-4.2 and FTBFS fix #624983.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Description): Add paragraph break.
    - (Maintainer): Set to QA group.
    - (Standards-Version): Update to 3.9.4
    - (Sugggest): New; x11-utils, due to use of xmessage in examples.
  * debian/copyright
    - Update to format 1.0.
  * debian/idesk.menu
    - (section): Update to "Applications/System/Administration"
      (Closes: #587682).
  * debian/patches:
    - (10): New. Change from Xdialog to xmessage (Closes: #552572).
    - (20): New. FTBFS fix from previous Debian release.
  * debian/rules
    - Update to dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Mar 2013 08:27:26 +0200

idesk (0.7.5-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: DesktopConfig.cpp:134:40: error: no matching function for call
    to 'stat::stat(const char*, stat*)'": apply patch from brian m. carlson:
    include the sys/stat.h header.
    Closes: #624983, #591363
    LP: #592602

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Oct 2011 14:17:13 +0200

idesk (0.7.5-4.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/chnagelog
    - Delete EOL whitespaces.
  * debian/compat
    - Update from deprecated 4 to 7 (W: Lintian).
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev (important;
      Closes: #575657). Update to debhelper 7. Add autotools-dev due to
      config.* commads in debian/rules. Delete EOL whitespaces.
    - (Depends): Add ${misc:Depends} for debhelper (W: Lintian).
    - (Standards-Version): Update to 3.8.4.
  * debian/rules
    - (install): Update "dh_clean -k" to dh_prep (W: Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 10:10:52 +0300

idesk (0.7.5-4) unstable; urgency=low

  * Updated with Standards-Version 3.7.3
  * Added the Homepage field inside the source stanza on debian/control.
  * Added the dependency to the libxt-dev package for xorg transition.
  * Cleaned the debian/copyright file with minor details.
  * Added a debian/watch file.
  * Changed the debian/idesk.menu to point to the correct section.

 -- Anibal Avelar <aavelar@cofradia.org>  Sun, 10 Feb 2008 19:03:39 -0500

idesk (0.7.5-3) unstable; urgency=low

  * debian/control: - update standards version.
  * Fixed an error in manpage. Thanks to Martin Michlmayr.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Tue, 13 Jun 2006 23:27:39 -0500

idesk (0.7.5-2) unstable; urgency=low

  * Fixed the poor grammar in description, closes: #351474
  * Fixed an error in examples/default.lnk file. The path was wrong.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sun, 12 Feb 2006 23:27:39 -0500

idesk (0.7.5-1) unstable; urgency=low

  * New upstream version.
  * Problem with startup notification support (option --enable-libsn). The
   idesk-0.7.4 chrashes after starting xmms. This bug was reported by Gentoo
   users. If you don't have the support for statup notification the program
   works well. The bug was fixed.
  * When you click with mouse either for reload Idesk or run a program, and
  you don't move the mouse of position then all icons stay with a glow effect
  how they had obtained the focus (all in the same time), they back to the
  normal state if you pass the mouse through the each icon. The bug was solved.
  * Fixed other minor bugs.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sat, 21 Jan 2006 22:27:39 -0500

idesk (0.7.4-2) unstable; urgency=high

  * Fixed the problem with the desktop background, closes: #338281
  * Fixed other minor bugs.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sun, 13 Nov 2005 3:27:39 -0500

idesk (0.7.4-1) unstable; urgency=low

  * New upstream version.
  * Many new features (how a complete image background support).
  * Support for Esetroot.
  * Fixed many other minor bugs.
  * Fixed a problem with the Idesk source (configure.in file) for avoid the xlibs-dev packages dependencies.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Wed, 2 Nov 2005 11:46:39 -0500

idesk (0.7.3-2) unstable; urgency=low

  * Fix idesk should be arch: any, closes: #316263
  * Fix error in examples/default.lnk file. The path was wrong.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Wed, 29 Jun 2005 23:33:39 -0500

idesk (0.7.3-1) unstable; urgency=low

  * New upstream release, closes: #291932
  * Fixed the older bug for graphical glitch (repeatable), (Closes: #227019)
  * Fixed many other bugs. Fixed the bug, when the Caption attribute is empty
    string. Fixed the problem with SnapShadow has the true value.
  * The SVG support was remove because not implemented in Imlib2 yet.
  * Added the GNU configure and build system for Idesk.
  * Porting from Imlib to Imlib2 ready.
  * Etc.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Wed, 28 Jun 2005 23:33:39 -0500

idesk (0.5.6-4) unstable; urgency=high

  * Fix error in manpage. Thanks to Jari. (Closes: #270950)
    This is a minor bug, but I hope this will enter Sarge too.

 -- Thorsten Sauter <tsauter@debian.org>  Sat, 11 Sep 2004 00:05:34 +0200

idesk (0.5.6-3) unstable; urgency=medium

  * Rebuild with libtiff4 support. (Closes: #262815)
  * Uploading with urgency=medium for libtiff4/sarge transition
  * Fix unquoted strings in debian/idesk.menu file

 -- Thorsten Sauter <tsauter@debian.org>  Tue,  3 Aug 2004 10:32:45 +0200

idesk (0.5.6-2) unstable; urgency=low

  * Update standards version.

 -- Thorsten Sauter <tsauter@debian.org>  Wed, 22 Oct 2003 21:52:36 +0200

idesk (0.5.6-1) unstable; urgency=low

  * New upstream version.


=== debian/control ===
Source: idesk
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: autotools-dev, xutils-dev, debhelper (>= 9), libimlib2-dev, libxft-dev, libxt-dev
Homepage: http://idesk.sourceforge.net
Standards-Version: 3.9.4

Package: idesk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: x11-utils
Description: program to show icons on the desktop
 Idesk displays icons with a short description on the desktop and gives
 shortcuts to launch any X app.
 .
 The icons can be resized, use tooltip and has transparency with other
 nice image efects. It can use many images types formats how PNG, JPG,
 GIF, XPM, etc. Idesk also allows the binding of different actions
 to every mouse button.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	dh_auto_configure

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess config.cache/status

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

%:
	dh $@

# End of file

=== debian/watch ===
# See uscan(1) for format
# Compulsory line, this is a version 3 file
version=3
# <Webpage URL> <string match>
http://sf.net/idesk idesk-([\d\.]+)\.tar\.bz2

## idesk 0.7.8

=== docker/Makefile ===

IMAGE:=idesk-builder
PREVIEW_IMAGE:=idesk-preview

UUID:=$(shell id -u)
UGID:=$(shell id -g)
PERMS:=$(PERMS) --user $(UUID)
DOCKER:=docker

CMD:=$(DOCKER) run --rm -ti --tmpfs=/tmp --volume $(CURDIR)/..:/home/buser/idesk

# default target, builds idesk without installing it
idesk: $(IMAGE)
	@rm -fv src/idesk
	$(CMD) $(PERMS) localhost/$(IMAGE) sh -e -c \
		"autoreconf --install; ./configure --enable-svg --enable-libsn; make -j"
.PHONY: idesk

# starts a dockerized VNC server with password 'idesk'
preview: $(PREVIEW_IMAGE)
	$(CMD) --publish 5900:5900 localhost/$(PREVIEW_IMAGE)
.PHONY: preview

$(IMAGE):
	$(DOCKER) build --build-arg UUID=$(UUID) --build-arg UGID=$(UGID) -t localhost/$(IMAGE) -f Dockerfile .
.PHONY: $(IMAGE)

$(PREVIEW_IMAGE):
	$(DOCKER) build --build-arg UUID=$(UUID) --build-arg UGID=$(UGID) -t localhost/$(PREVIEW_IMAGE) -f Dockerfile.preview .
.PHONY: $(PREVIEW_IMAGE)

# shell to inspect build container
builder_shell: $(IMAGE)
	$(CMD) $(PERMS) --entrypoint /bin/bash localhost/$(IMAGE) -i
.PHONY: builder_shell

# shell to inspect preview container
preview_shell: $(IMAGE)
	$(CMD) $(PERMS) --entrypoint /bin/bash localhost/$(PREVIEW_IMAGE) -i
.PHONY: preview_shell

=== debian/changelog ===
idesk (0.7.8-0.1~mx25+1) mx; urgency=medium

  * trixie build

 -- Dolphin Oracle <dolpihnoracle@gmail.com>  Sat, 29 Mar 2025 14:23:43 -0700
 

idesk (0.7.8-0.1~mx23+1) mx; urgency=medium

  * New upstream release.
  * d/rules: enable svg support.
  * d/control: add librsvg2-dev to build-deps.
  * Refresh patches.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 May 2023 15:53:02 -0700

idesk (0.7.5-7) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS against newer imlib2, use pkg-config. Closes: #1018029
  * Lintian:
    Clean up trailing whitespace in control file.
    Set Rules-Requires-Root: no.
    Use https URIs.
    Update watchfile.
    Use dh v13 compat.
  * Run wrap-and-sort -ast.
  * 40_cross.patch by Helmut Grohne: Fixes FTCBFS related to incorrect
    pkg-config usage. Closes: #915558

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Dec 2022 15:24:08 +0100

idesk (0.7.5-6) unstable; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.6.
  * Using dh-autoreconf now.
  * debian/control:
      - Fixed some issues on Build-Depends.
      - Little improvements in long description.
      - Updated the upstream homepage.
  * debian/copyright: updated all data.
  * debian/docs: added the AUTHORS file.
  * debian/rules:
      - Removed some trash.
      - Removed the override_dh_auto_configure and override_dh_auto_clean
        because dh-autoreconf makes them useless now.
      - Removed the override_dh_installchangelogs because all upstream
        changelog files are automatically installed by default.
  * debian/watch: fixed and improved.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Tue, 06 Oct 2015 19:51:56 -0300

=== debian/control ===
Source: idesk
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libimlib2-dev,
               libxft-dev,
               libxt-dev,
               pkg-config,
               xutils-dev
Homepage: https://sourceforge.net/projects/idesk/
Rules-Requires-Root: no
Standards-Version: 3.9.6

Package: idesk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: x11-utils
Description: program to show icons on the desktop
 Idesk displays icons with a short description on the desktop and gives
 shortcuts to launch any X app.
 .
 The icons can be resized, use tooltip and has transparency with other
 nice image effects. It can use many images types formats how PNG, JPG,
 GIF, XPM, etc. Idesk also allows the binding of different actions to
 every mouse button.
